Bug 103179 - [CI][SHARDS] igt@perf@rc6-disable - fail - Failed assertion: n_events_end - n_events_start != 0
Summary: [CI][SHARDS] igt@perf@rc6-disable - fail - Failed assertion: n_events_end - n...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high critical
Assignee: Don Hiatt
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-10 07:39 UTC by Marta Löfstedt
Modified: 2019-04-18 07:30 UTC (History)
2 users (show)

See Also:
i915 platform: GLK, KBL, SKL
i915 features: Perf/OA


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-10-10 07:39:47 UTC
CI_DRM_3196, CI_DRM_3199 on KBL-shards:

igt@perf@rc6-disable fail:
(perf:3731) CRITICAL: Test assertion failure function test_rc6_disable, file perf.c:4078:
(perf:3731) CRITICAL: Failed assertion: n_events_end - n_events_start != 0
(perf:3731) CRITICAL: Last errno: 9, Bad file descriptor
(perf:3731) CRITICAL: error: 0 == 0
Subtest rc6-disable failed.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3196/shard-kbl2/igt@perf@rc6-disable.html
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3199/shard-kbl5/igt@perf@rc6-disable.html
Comment 1 Marta Löfstedt 2017-12-15 09:20:31 UTC
Last seen:  CI_DRM_3333: 2017-11-11 / 237 runs ago, it's time to close and archive.
Comment 3 Lionel Landwerlin 2018-02-15 18:55:53 UTC
Right, it seems RC6 events aren't happening with 1s after we've released the i915 perf stream. Not too sure how to test that we've reenabled RC6 in a reliable fashion...

Any suggestion?
Comment 4 Imre Deak 2018-02-16 15:02:31 UTC
(In reply to Lionel Landwerlin from comment #3)
> Right, it seems RC6 events aren't happening with 1s after we've released the
> i915 perf stream. Not too sure how to test that we've reenabled RC6 in a
> reliable fashion...
> 
> Any suggestion?

debugfs/i915_drpc_info (Deep-, Deepest-) "RC6 Enabled"?
Comment 5 Lionel Landwerlin 2018-02-16 15:07:56 UTC
Oh, thanks for that.

Here it is when the perf stream is closed :

Deep RC6 Enabled: no
Deepest RC6 Enabled: no
Current RC state: RC6
Core Power Down: no
Render Power Well: Down
Media Power Well: Down

And opened :

Deep RC6 Enabled: no
Deepest RC6 Enabled: no
Current RC state: on
Core Power Down: no
Render Power Well: Up
Media Power Well: Up

Is the "Current RC state" the best field to tell me?
Comment 6 Lionel Landwerlin 2018-02-16 15:09:04 UTC
Right now we use "RC6 residency since boot" and try to verify that the number increments again when we release the perf stream.
Comment 7 Marta Löfstedt 2018-03-16 08:29:35 UTC
Here is one from running shards testlist on BAT machines:

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_1/fi-skl-gvtdvm/igt@perf@rc6-disable.html
Comment 8 Martin Peres 2018-05-03 16:13:35 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_30/fi-kbl-7560u/igt@perf@rc6-disable.html

(perf:1658) CRITICAL: Test assertion failure function test_rc6_disable, file ../tests/perf.c:3633:
(perf:1658) CRITICAL: Failed assertion: n_events_end - n_events_start != 0
(perf:1658) CRITICAL: Last errno: 9, Bad file descriptor
(perf:1658) CRITICAL: error: 0 == 0
Subtest rc6-disable failed.
Comment 9 Lakshmi 2018-09-18 13:41:13 UTC
Lionel, any updates on this issue?
Comment 10 Martin Peres 2018-10-18 10:16:33 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_130/fi-skl-6700hq/igt@perf@rc6-disable.html

Starting subtest: rc6-disable
(perf:1541) CRITICAL: Test assertion failure function test_rc6_disable, file ../tests/perf.c:3649:
(perf:1541) CRITICAL: Failed assertion: n_events_end - n_events_start != 0
(perf:1541) CRITICAL: error: 0 == 0
Subtest rc6-disable failed.
Comment 11 Imre Deak 2019-04-16 15:34:40 UTC
Should be fixed by
https://patchwork.freedesktop.org/patch/299891/?series=59582&rev=2
Comment 12 Imre Deak 2019-04-18 07:30:32 UTC
(In reply to Imre Deak from comment #11)
> Should be fixed by
> https://patchwork.freedesktop.org/patch/299891/?series=59582&rev=2

Marking fixed accordingly.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.